/*
 * maintdb.h
 *
 * Part of the strings db package.  maintdb.h contains prototypes for a few
 * selected common record maintenance tasks.  These primitives may not suit
 * the purposes of a particular application.
 *
 * version 0.4.1, April 13, 1997: first pass.
 *
 * Copyright (c) 1997 Amelia A. Lewis
 * Distributed under GPL.  See COPYING.
 *
 * $Id: maintdb.h 13 2004-03-27 20:21:34Z amyzing $
 */

#ifndef SDB_MAINTDB_H
#define SDB_MAINTDB_H

typedef struct
{
    unsigned char lineno;
    unsigned char errcode;
} linerr;

#define sdb_EMNODATA		1
#define sdb_EMEARLYTERM		2
#define sdb_EMNOTERM		3
#define sdb_EMLONGLINE		4
#define sdb_EMINTERNTERM	5
#define sdb_EMFORMAT		6
#define sdb_EMUNKNOWN		7

extern const char *sdb_maint_err[];

int
sdb_deleterec(FILE *, off_t, unsigned short);

int
sdb_purgerec(FILE *, unsigned long);

linerr *
sdb_parserec(char *, char, char *);

int
sdb_check_df(FILE *, char);

int
sdb_addterm(sdb_recptr *, char, int);

#endif /* SDB_MAINTDB_H */
